<?xml version="1.0" encoding="UTF-8"?>
<interface>
    <requires lib="gtk" version="4.0"/>
    <template class="PasswordLogin" parent="GtkBox">
        <child>
            <object class="AdwToastOverlay" id="toast_overlay">
                <child>
                    <object class="GtkBox">
                        <property name="orientation">vertical</property>
                        <child>
                            <object class="AdwHeaderBar">
                            <property name="title-widget">
                                <object class="AdwWindowTitle">
                                <property name="title" translatable="no">NewsFlash</property>
                                </object>
                            </property>
                            <property name="show-start-title-buttons">1</property>
                            <property name="show-end-title-buttons">1</property>
                            <child>
                                <object class="GtkButton" id="back_button">
                                    <property name="receives-default">1</property>
                                    <property name="icon-name">go-previous-symbolic</property>
                                </object>
                            </child>
                            </object>
                        </child>
                        <child>
                            <object class="AdwClamp">
                                <property name="maximum-size">500</property>
                                <property name="tightening-threshold">300</property>
                                <property name="margin-top">5</property>
                                <property name="margin-bottom">5</property>
                                <property name="margin-start">5</property>
                                <property name="margin-end">5</property>
                                <property name="vexpand">1</property>
                                <property name="valign">center</property>
                                <property name="child">
                                    <object class="GtkBox">
                                        <property name="orientation">vertical</property>
                                        <child>
                                            <object class="GtkLabel" id="headline">
                                                <property name="can-focus">0</property>
                                                <property name="label" translatable="yes">Headline</property>
                                                <property name="justify">center</property>
                                                <property name="ellipsize">end</property>
                                                <property name="lines">3</property>
                                                <property name="margin-top">30</property>
                                                <property name="margin-bottom">10</property>
                                                <style>
                                                    <class name="title-1"/>
                                                </style>
                                            </object>
                                        </child>
                                        <child>
                                            <object class="GtkImage" id="logo">
                                                <property name="width-request">64</property>
                                                <property name="height-request">64</property>
                                                <property name="can-focus">0</property>
                                                <property name="margin-top">30</property>
                                                <property name="margin-bottom">30</property>
                                            </object>
                                        </child>
                                        <child>
                                            <object class="AdwPreferencesGroup">
                                                <child>
                                                    <object class="AdwEntryRow" id="url_entry">
                                                        <property name="title" translatable="yes">Url</property>
                                                    </object>
                                                </child>
                                                <child>
                                                    <object id="login_type_row" class="AdwComboRow">
                                                        <property name="title" translatable="yes">Login with</property>
                                                        <property name="model">
                                                            <object class="GtkStringList">
                                                                <items>
                                                                    <item translatable="yes">Username / Password</item>
                                                                    <item translatable="yes">Token</item>
                                                                </items>
                                                            </object>
                                                        </property>
                                                    </object>
                                                </child>
                                                <child>
                                                    <object class="AdwEntryRow" id="user_entry">
                                                        <property name="title" translatable="yes">Username</property>
                                                    </object>
                                                </child>
                                                <child>
                                                    <object class="AdwPasswordEntryRow" id="pass_entry">
                                                        <property name="title" translatable="yes">Password</property>
                                                    </object>
                                                </child>
                                                <child>
                                                    <object class="AdwEntryRow" id="token_entry">
                                                        <property name="title" translatable="yes">Token</property>
                                                    </object>
                                                </child>
                                            </object>
                                        </child>
                                        <child>
                                            <object class="GtkRevealer" id="http_revealer">
                                                <property name="can-focus">0</property>
                                                <property name="transition-type">slide-up</property>
                                                <property name="child">
                                                    <object class="AdwPreferencesGroup">
                                                        <property name="title">HTTP Basic Auth</property>
                                                        <child>
                                                            <object class="AdwEntryRow" id="http_user_entry">
                                                                <property name="title" translatable="yes">Username</property>
                                                            </object>
                                                        </child>
                                                        <child>
                                                            <object class="AdwPasswordEntryRow" id="http_pass_entry">
                                                                <property name="title" translatable="yes">Password</property>
                                                            </object>
                                                        </child>
                                                    </object>
                                                </property>
                                            </object>
                                        </child>
                                        <child>
                                            <object class="GtkButton" id="login_button">
                                                <property name="receives-default">1</property>
                                                <property name="hexpand">1</property>
                                                <property name="margin-top">30</property>
                                                <property name="margin-bottom">30</property>
                                                <property name="halign">center</property>
                                                <child>
                                                    <object class="GtkStack" id="login_stack">
                                                        <property name="can-focus">0</property>
                                                        <property name="transition-duration">50</property>
                                                        <property name="transition-type">crossfade</property>
                                                        <child>
                                                            <object class="GtkStackPage">
                                                                <property name="name">login_label</property>
                                                                <property name="child">
                                                                    <object class="GtkLabel" id="login_label">
                                                                        <property name="can-focus">0</property>
                                                                        <property name="label" translatable="yes">Login</property>
                                                                    </object>
                                                                </property>
                                                            </object>
                                                        </child>
                                                        <child>
                                                            <object class="GtkStackPage">
                                                                <property name="name">login_spinner</property>
                                                                <property name="child">
                                                                    <object class="GtkSpinner" id="login_spinner">
                                                                        <property name="can-focus">0</property>
                                                                        <property name="spinning">True</property>
                                                                    </object>
                                                                </property>
                                                            </object>
                                                        </child>
                                                    </object>
                                                </child>
                                                <style>
                                                    <class name="suggested-action"/>
                                                </style>
                                                <style>
                                                    <class name="pill"/>
                                                </style>
                                            </object>
                                        </child>
                                    </object>
                                </property>
                            </object>
                        </child>
                    </object>
                </child>
            </object>
        </child>
    </template>
</interface>